#!/bin/bash

# Generate Beep on GPIO-K pin

DELAY=0.2

# (echo 175   > /sys/class/gpio/export) >& /dev/null
echo "out" > /sys/class/gpio/gpio175/direction          # define as output
echo "1"   > /sys/class/gpio/gpio175/value              # default is off

# checks by parameter

#Setze Delay falls Parameter vorhanden
if [[ $2 > 0 ]]; then
	DELAY=$2;
fi

if [[ $1 == "-beep" ]]; then #einfacher beep
	echo "0"  > /sys/class/gpio/gpio175/value              # beep
	sleep ${DELAY}
elif [[ $1 == "-doublebeep" ]]; then #doppelter beep
	echo "0"  > /sys/class/gpio/gpio175/value              # beep
	sleep ${DELAY}
	echo "1"   > /sys/class/gpio/gpio175/value              # default is off
	sleep ${DELAY}
	echo "0"  > /sys/class/gpio/gpio175/value              # beep
	sleep ${DELAY}
elif [[ $1 == "-variablebeep" ]]; then #beliebig oft wiederholter beep
	if [[ $3 > 0 ]]; then
		COUNTER=($3);
		let COUNTER-=1; # weil wir eine until done schleife haben wird die schleife sonst auch bei Erreichen von 0 ausgefuehrt
         	until [  $COUNTER -lt 0 ]; do
			echo "0"  > /sys/class/gpio/gpio175/value              # beep
			sleep ${DELAY}
			echo "1"   > /sys/class/gpio/gpio175/value              # default is off
			sleep ${DELAY}
             	let COUNTER-=1
         	done
	fi
else
	echo "MOEGLICHE PARAMETER:"
	echo "-beep: 'Einzelnes Beep',"
	echo " z.B.: 'gpio_piezo_buzzer_beep.sh -beep 0.3"
	echo "-doublebeep: Zwei 'Beeps' hintereinander"
	echo ""
	echo "Der zweite Parameter der Periodendauer kann auch weggelassen werden (default: 0.2s),"
	echo " z.B.: 'gpio_piezo_buzzer_beep.sh -doublebeep'"
	echo ""
	echo "-variablebeep: Beliebige Anzahl an 'Beeps' hintereinander"
	echo " z.B. fuer 10 Beeps: 'gpio_piezo_buzzer_beep.sh -variablebeep 0.2 10'"
	exit 
fi


echo "1"   > /sys/class/gpio/gpio175/value              # default is off
# echo 175   > /sys/class/gpio/unexport
